View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0013899ParaView(No Category)public2013-02-19 20:002013-05-22 21:45
ReporterAlan Scott 
Assigned ToDavid Thompson 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.98.1 
Target VersionFixed in Version4.0 
Summary0013899: 2d plot - log Y axis is broken (problem dataset)
DescriptionI am writing up bugs for a problem dataset. I think this is a duplicate of 13876, but am not sure. Thus, I am writing this one up also.

Linux, 3.98.1, local server.
* Open output.e.2.[0-1]. (Dataset is 2d-plot-bug-datasets, ask me for this dataset.)
* All variables on. Apply.
* Plot over line. Apply. Turn all variables on, then off. Then, turn on n(Cu), n(Cup) and n(em).
* View Settings/ Left Axis/ Layout/ - then click "Use Logarithmic Scale When Available".

<<bug>> - left axis stops showing.

* Next, select Axis Labels/ Specify Axis Labels Explicitly.
* Generate. Use 1e8 to 1e17. OK.
<<bug >> All you see on the left axis is Inf. What? This is a bug.
TagsNo tags attached.
ProjectSandia
Topic Name13876_log_scaled_axes
Typeincorrect functionality
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to 0013876closedDavid Thompson 2d plot - log Y axis is broken 
related to 0013951closedDavid Thompson Plots - LogScale - when labels are specified explicitly, they are assumed to be in the unscaled mode. 

-  Notes
(0030392)
Alan Scott (manager)
2013-02-27 16:56

Dataset has been renamed large_range_1D_paraview_test_data.e.2.[0-1]
(0030393)
Alan Scott (manager)
2013-02-27 17:04

Sent to Utkarsh.
(0030474)
David Thompson (developer)
2013-03-25 11:58

Please see bug 13876 for a summary of the changes.

The test case in the original bug report should now work. Note that for log scaling to become *active* after being *requested* in the axis layout preferences, you must either translate the chart with a click+drag or manually set the axis scale so the origin is no longer included.
(0030476)
Utkarsh Ayachit (administrator)
2013-03-25 14:43

SUMMARY
---------------------------------------------
Topics merged into master:
(VTK) 13876_log_scaled_axes

(0030833)
Alan Scott (manager)
2013-05-22 21:45

Tested remote server, linux, master. Nice!

- Issue History
Date Modified Username Field Change
2013-02-19 20:00 Alan Scott New Issue
2013-02-19 20:01 Alan Scott Relationship added related to 0013876
2013-02-26 10:56 Utkarsh Ayachit Assigned To => David Thompson (old)
2013-02-27 16:56 Alan Scott Note Added: 0030392
2013-02-27 17:04 Alan Scott Note Added: 0030393
2013-02-27 17:05 Alan Scott Status backlog => todo
2013-03-01 00:43 David Thompson Assigned To David Thompson (old) => David Thompson
2013-03-20 16:50 Utkarsh Ayachit Relationship added related to 0013951
2013-03-25 11:58 David Thompson Topic Name => 13876_log_scaled_axes
2013-03-25 11:58 David Thompson Note Added: 0030474
2013-03-25 11:58 David Thompson Status todo => gatekeeper review
2013-03-25 11:58 David Thompson Fixed in Version => git-next
2013-03-25 11:58 David Thompson Resolution open => fixed
2013-03-25 14:43 Utkarsh Ayachit Fixed in Version git-next => git-master
2013-03-25 14:43 Utkarsh Ayachit Status gatekeeper review => customer review
2013-03-25 14:43 Utkarsh Ayachit Note Added: 0030476
2013-05-18 20:00 Utkarsh Ayachit Fixed in Version git-master => 4.0
2013-05-22 21:45 Alan Scott Note Added: 0030833
2013-05-22 21:45 Alan Scott Status customer review => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker